For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTBatch Operation
      • GETGet Records
      • POSTInsert Records
      • DELDelete Records
      • GETGet Record By ID
      • PUTUpdate Record
      • DELDelete Record
LogoLogo
Login
Login
Data APIRecords

Update Record

PUT
/v1/vaults/:vaultID/:objectName/:ID
PUT
/v1/vaults/:vaultID/:objectName/:ID
$curl -X PUT https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID/objectName/ID \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "record": {
> "fields": {
> "drivers_license_number": "89867453",
> "name": "Steve Smith",
> "phone_number": "8794523160",
> "ssn": "143-89-2306"
> }
> },
> "tokenization": true
>}'
1{
2 "skyflow_id": "4423ccdf-75eb-4e2e-abfc-acb43b1440cd",
3 "tokens": {
4 "drivers_license_number": "2fd8e729-228a-43cf-8274-d0d0efe47f6c",
5 "name": "f5c268b7-5dd4-4d37-a12d-05d148a8a440",
6 "phone_number": "4639c565-85c8-4120-94a6-e0e91ffaeca4",
7 "ssn": "736-96-1306"
8 }
9}

Updates the specified record in a table.

When you update a field, include the entire contents you want the field to store. For JSON fields, include all nested fields and values. If a nested field isn’t included, it’s removed.

The time-to-live (TTL) for a transient field resets when the field value is updated.

Was this page helpful?
Previous

Delete Record

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired
objectNamestringRequired
IDstringRequired

Request

This endpoint expects an object.
recordobjectOptional
Record values and tokens.
tokenizationbooleanOptionalDefaults to false

If true, this operation returns tokens for fields with tokenization enabled.

byotenumOptionalDefaults to DISABLE
Token insertion behavior.
Allowed values:

Response

OK
skyflow_idstring
ID of the updated record.
tokensmap from strings to any
Tokens for the record.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error